org.apache.cassandra.db.compaction

## Class SSTableSplitter.SplitController

- java.lang.Object
- - org.apache.cassandra.db.compaction.CompactionController
  - - org.apache.cassandra.db.compaction.SSTableSplitter.SplitController

All Implemented Interfaces:
  java.lang.AutoCloseable

Enclosing class:
  SSTableSplitter

    public static class SSTableSplitter.SplitController
    extends CompactionController

### Field Summary

### Fields inherited from class org.apache.cassandra.db.compaction.CompactionController

`cfs, gcBefore`

### Constructor Summary

Constructors
Constructor and Description
`SSTableSplitter.SplitController(ColumnFamilyStore cfs)`

### Method Summary

Methods
`long` `maxPurgeableTimestamp(DecoratedKey key)`

### Methods inherited from class org.apache.cassandra.db.compaction.CompactionController

`close, getColumnFamily, getFullyExpiredSSTables, getFullyExpiredSSTables, getKeyspace, invalidateCachedRow`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SSTableSplitter.SplitController

    public SSTableSplitter.SplitController(ColumnFamilyStore cfs)

### Method Detail

#### maxPurgeableTimestamp

    public long maxPurgeableTimestamp(DecoratedKey key)

Overrides:
  `maxPurgeableTimestamp` in class `CompactionController`
Returns:
  the largest timestamp before which it's okay to drop tombstones for the given partition; i.e., after the maxPurgeableTimestamp there may exist newer data that still needs to be suppressed in other sstables. This returns the minimum timestamp for any SSTable that contains this partition and is not participating in this compaction, or LONG.MAX_VALUE if no such SSTable exists.